Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1991049

Summary: [FTBFS] hugin: FTBFS in rawhide
Product: [Fedora] Fedora Reporter: Thomas Rodgers <trodgers>
Component: huginAssignee: Bruno Postle <bruno>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: bruno, denis.arnaud_fedora, i, jspaleta, jwakely, rosset.filipe
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: hugin-2020.0.0-12.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-08-22 18:47:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1927309, 1992484    

Description Thomas Rodgers 2021-08-06 21:26:45 UTC
Description of problem:

-- VIGRA version: 1.11.1
CMake Error at CMakeModules/FindVIGRA.cmake:78 (MESSAGE):
  Libvigraimpex found.  But vigraimpex seems to compiled without OpenEXR
  support.  OpenEXR support is required for Hugin.

See https://koji.fedoraproject.org/koji/taskinfo?taskID=73408443

Version-Release number of selected component (if applicable):

hugin-2020.0.0-10

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Ben Cotton 2021-08-10 13:36:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 3 Fedora Release Engineering 2021-08-22 04:27:59 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-10-01).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 4 Fedora Update System 2021-08-22 18:47:38 UTC
FEDORA-2021-09870962ce has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.